> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/kdo/no.md).

# 登録失敗の処理

カードのプロビジョニングをエンドユーザーが開始した後に登録が失敗することがあります。

このような場合、トークンリクエスタ（ウォレットプロバイダ）または決済ネットワークは **TSP** トークンを削除することがあります。

### イシュアのバックエンドが受け取るもの

トークナイゼーションサービスはを通知します **イシュアバックエンド** を使用して `notifyVirtualCardChange`.

トークン削除を伴う登録失敗の場合、 `action` 通常は次のとおりです：

* `DELETE` （決済ネットワークTSP上でトークンが削除されました）
* `DELETE_FROM_APP` （ウォレットアプリケーション内でトークンが削除されました、 **MDES** のみ）

`notifyVirtualCardChange` には次も含まれます：

* `x-correlation-id` 登録セッションをリンクするための（HTTPヘッダー）。
* `virtualCardId` および `issuerCardRefId` トークンとカードを識別するための。
* `source` 変更を誰が開始したかを示すための（`WALLET`, `TSP`、または `イシュア`).

<details>

<summary>リクエストボディの例（簡略）</summary>

```json
{
  "issuerCardRefId": "string",
  "virtualCardId": "string",
  "walletProviderId": "APPLE_PAY",
  "isPrimary": true,
  "action": "DELETE",
  "source": "TSP"
}
```

</details>

### 登録失敗の扱い方

冪等に `notifyVirtualCardChange` 冪等に処理してください。重複や遅延コールバックを受け取る可能性があります。

が `action` 削除を示す場合：

1. イシュアのバックエンドでトークンを削除済みとしてマークします。
2. この登録に対する保留中の追加認証（ステップアップ認証）を停止します。
3. エンドユーザーが登録を再開できるようにします。

{% hint style="info" %}
`notifyVirtualCardChange` は登録失敗以上の用途に使用されます。SUSPENDや `ACTIVATE`, `SUSPEND`、および `RESUME`.
{% endhint %}

### 関連ドキュメント

* [ウォレットによるトークン状態の更新](/classic-tokenization/ja/ysuksu/deng-lu-hou/tkunraifusaikuru/worettopurobaidkaratkunwosuru.md)
* [送信（イシュア宛）](/classic-tokenization/ja/apirifarensu/ishuagtoweiapi/autobaundoishua.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/kdo/no.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
